| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.OrbitFileDiagnostics Class Reference

Class for orbit file diagnostic. More...

Inheritance diagram for EECFI.OrbitFileDiagnostics:

List of all members.

## Public Member Functions
| OrbitFileDiagnostics ()
| Constructor.
native void | computeDiagnostics (String fileNam) throws CfiError
| This function will allow the user to know which part of a file is usable.
native void | computeDiagnostics (OrbitFile file) throws CfiError
| This function will allow the user to know which part of a file is usable.
native void | computeDiagnostics (OemFile file) throws CfiError
| This function will allow the user to know which part of a file is usable.
native void | computeDiagnostics (SP3File file) throws CfiError
| This function will allow the user to know which part of a file is usable.
## Public Attributes
OrbitFileDiagnosticsSettings | diagnosticsSettings = new OrbitFileDiagnosticsSettings()
| Diagnostics settings.
Vector < OrbitFileDiagnosticsReport > | diagnosticsReport = new Vector<OrbitFileDiagnosticsReport>()
| Vector of diagnostics reports.

## Detailed Description

Class for orbit file diagnostic.

## Constructor & Destructor Documentation

EECFI.OrbitFileDiagnostics.OrbitFileDiagnostics | ( |  | ) |

Constructor.

## Member Function Documentation

void EECFI.OrbitFileDiagnostics::computeDiagnostics | ( | SP3File | file | ) | throws CfiError

This function will allow the user to know which part of a file is usable.

The following information is returned:

- Size of the interval covered by the file.
- Times of first and last OSV.
- Number and interval of GAPs in the file.
- Number and indexes of the OSVs going back in time (i.e. OSVs whose time is in the past with respect to the previous one).
- Number and indexes of duplicated OSVs (i.e. OSVs whose time is the same as the one of previous OSV).
- Number and indexes of OSVs with inconsistent orbit number (i.e. OSVs whose number is not correlated with its neighbours OSVs).
- Number and indexes of OSVs with non-equally spaced OSVs (i.e. OSVs that are separated from its neighbours a different step from the one expected).

For DORIS files only EF OSVS are checked, because they are the ones used by EOCFI software.

Parameters:

  | file | SP3File to be checked.

void EECFI.OrbitFileDiagnostics::computeDiagnostics | ( | OemFile | file | ) | throws CfiError

This function will allow the user to know which part of a file is usable.

The following information is returned:

- Size of the interval covered by the file.
- Times of first and last OSV.
- Number and interval of GAPs in the file.
- Number and indexes of the OSVs going back in time (i.e. OSVs whose time is in the past with respect to the previous one).
- Number and indexes of duplicated OSVs (i.e. OSVs whose time is the same as the one of previous OSV).
- Number and indexes of OSVs with inconsistent orbit number (i.e. OSVs whose number is not correlated with its neighbours OSVs).
- Number and indexes of OSVs with non-equally spaced OSVs (i.e. OSVs that are separated from its neighbours a different step from the one expected).

For DORIS files only EF OSVS are checked, because they are the ones used by EOCFI software.

Parameters:

  | file | OemFile to be checked.

void EECFI.OrbitFileDiagnostics::computeDiagnostics | ( | OrbitFile | file | ) | throws CfiError

This function will allow the user to know which part of a file is usable.

The following information is returned:

- Size of the interval covered by the file.
- Times of first and last OSV.
- Number and interval of GAPs in the file.
- Number and indexes of the OSVs going back in time (i.e. OSVs whose time is in the past with respect to the previous one).
- Number and indexes of duplicated OSVs (i.e. OSVs whose time is the same as the one of previous OSV).
- Number and indexes of OSVs with inconsistent orbit number (i.e. OSVs whose number is not correlated with its neighbours OSVs).
- Number and indexes of OSVs with non-equally spaced OSVs (i.e. OSVs that are separated from its neighbours a different step from the one expected).

For DORIS files only EF OSVS are checked, because they are the ones used by EOCFI software.

Parameters:

  | file | OrbitFile to be checked.

void EECFI.OrbitFileDiagnostics::computeDiagnostics | ( | String | fileNam | ) | throws CfiError

This function will allow the user to know which part of a file is usable.

The following information is returned:

- Size of the interval covered by the file.
- Times of first and last OSV.
- Number and interval of GAPs in the file.
- Number and indexes of the OSVs going back in time (i.e. OSVs whose time is in the past with respect to the previous one).
- Number and indexes of duplicated OSVs (i.e. OSVs whose time is the same as the one of previous OSV).
- Number and indexes of OSVs with inconsistent orbit number (i.e. OSVs whose number is not correlated with its neighbours OSVs).
- Number and indexes of OSVs with non-equally spaced OSVs (i.e. OSVs that are separated from its neighbours a different step from the one expected).

For DORIS files only EF OSVS are checked, because they are the ones used by EOCFI software.

Parameters:

  | fileNam | Path of the file to be checked.

## Member Data Documentation

Vector<OrbitFileDiagnosticsReport> EECFI.OrbitFileDiagnostics.diagnosticsReport = new Vector<OrbitFileDiagnosticsReport>()

Vector of diagnostics reports.

OrbitFileDiagnosticsSettings EECFI.OrbitFileDiagnostics.diagnosticsSettings = new OrbitFileDiagnosticsSettings()

Diagnostics settings.